=== debian/changelog ===
ros-humble-examples-rclcpp-minimal-publisher (0.15.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.15.0-1jammy) jammy; urgency=high

  * Add an example about how to use wait_for_all_acked (#316 <https://github.com/ros2/examples/issues/316>)
  * Contributors: Barry Xu

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.14.0-1jammy) jammy; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.13.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.12.0-1jammy) jammy; urgency=high

  * Add try&catch statement to unique network flow publisher example (#313 <https://github.com/ros2/examples/issues/313>)
  * Add type adaption example (#300 <https://github.com/ros2/examples/issues/300>)
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 05 Aug 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.11.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.11.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 12 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.11.0-1jammy) jammy; urgency=high

  * Unique network flows (#296 <https://github.com/ros2/examples/issues/296>)
  * Contributors: Ananya Muddukrishna

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.10.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.10.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.10.1-1jammy) jammy; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.10.0-1jammy) jammy; urgency=high

  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.9.2-1jammy) jammy; urgency=high

  * Catch possible exception from spin_some (#266 <https://github.com/ros2/examples/issues/266>) (#270 <https://github.com/ros2/examples/issues/270>)
  * Contributors: Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.9.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.9.0-1jammy) jammy; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.8.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.8.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 24 Oct 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.7.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.7.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.7.1-1jammy) jammy; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * avoid deprecated publish signature (#239 <https://github.com/ros2/examples/issues/239>)
  * Contributors: William Woodall

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.7.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.6.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.6.0-1jammy) jammy; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.5.1-1jammy) jammy; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-publisher (0.5.0-1jammy) jammy; urgency=high

  * Add #include <chrono> if using std::chrono_literals #198 <https://github.com/ros2/examples/issues/198>
  * Contributors: Mikael Arguedas, Yutaka Kondo

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Jun 2018 05:00:00 -0000


